Skip to content

Шаблоны чеков ​

Конструктор кассового чека: ширина ленты и включённые блоки (шапка, товары, итоги, бонусы, оплаты, долг, подвал). У каждой компании есть системный шаблон is_default, который нельзя удалить.

МетодАдресНазначение
GET/company/trade/receipt-templateСписок шаблонов чеков
GET/company/trade/receipt-template/{model}Шаблон чека
POST/company/trade/receipt-templateСоздать шаблон чека
PUT/company/trade/receipt-template/{model}Изменить шаблон чека
DELETE/company/trade/receipt-template/{model}Удалить шаблон чека
DELETE/company/trade/receipt-template/{value}/restoreВосстановить шаблон чека

Список шаблонов чеков ​

GET/company/trade/receipt-template

Шаблоны чеков компании с пагинацией. Системный шаблон выводится первым с sort[]=-is_default&sort[]=-id.

Заголовки ​

ЗаголовокЗначениеОписание
AuthorizationBearer {token}Токен из POST /common/auth/login
Acceptapplication/jsonОтвет в JSON
Accept-LanguageruЯзык сообщений и названий: ru, uz, oz

Параметры запроса ​

ПараметрОписание
filter[id]ID — точное значение
filter[creator_id]Создатель — точное значение
filter[company_id]Компания — точное значение
filter[name]Название — поиск по части строки
filter[is_default]точное значение
filter[created_at]Создано — период: [0] — с, [1] — по (Y-m-d)
sort[]Сортировка, - — по убыванию: id, -id, is_default, -is_default
with[]Подгрузить связи: creator.profile, company
pageНомер страницы, с 1
page-sizeЗаписей на странице, не больше 20
http
GET /company/trade/receipt-template?filter[is_default]=1

Ответ · 200 ​

Постраничный ответ: записи в data[], пагинация в links и meta.

Поля ответа
ПолеТипОписание
dataobject[]Данные
data[].idintegerID
data[].creator_idnullСоздатель
data[].company_idintegerКомпания
data[].namestringНазвание
data[].widthintegerШирина
data[].settingsobjectНастройки
data[].settings.debtobjectДолг
data[].settings.debt.addedboolean
data[].settings.debt.totalbooleanВсего записей
data[].settings.debt.enabledboolean
data[].settings.debt.due_datebooleanСрок погашения
data[].settings.debt.previousboolean
data[].settings.footerobject
data[].settings.footer.qrboolean
data[].settings.footer.bannerobject
data[].settings.footer.banner.srcnull
data[].settings.footer.banner.enabledboolean
data[].settings.footer.thanksobject
data[].settings.footer.thanks.textstringТекст
data[].settings.footer.thanks.enabledboolean
data[].settings.footer.barcodebooleanШтрих-код
data[].settings.footer.enabledboolean
data[].settings.footer.socialsobjectСоц-сети
data[].settings.footer.socials.itemsarrayСостав
data[].settings.footer.socials.enabledboolean
data[].settings.headerobject
data[].settings.header.tinboolean
data[].settings.header.codebooleanКод
data[].settings.header.datebooleanДата
data[].settings.header.logoobjectЛоготип
data[].settings.header.logo.srcnull
data[].settings.header.logo.enabledboolean
data[].settings.header.phonebooleanТелефон
data[].settings.header.clientboolean
data[].settings.header.sellerboolean
data[].settings.header.addressbooleanАдрес
data[].settings.header.enabledboolean
data[].settings.header.contactsboolean
data[].settings.header.store_nameboolean
data[].settings.totalsobject
data[].settings.totals.totalbooleanВсего записей
data[].settings.totals.enabledboolean
data[].settings.totals.discountbooleanСкидка
data[].settings.totals.subtotalboolean
data[].settings.totals.discount_percentboolean
data[].settings.bonusesobject
data[].settings.bonuses.accruedboolean
data[].settings.bonuses.balancebooleanБаланс
data[].settings.bonuses.enabledboolean
data[].settings.paymentsobject
data[].settings.payments.enabledboolean
data[].settings.productsobjectПродукты
data[].settings.products.columnsobject
data[].settings.products.columns.namebooleanНазвание
data[].settings.products.columns.brandbooleanБренд
data[].settings.products.columns.pricebooleanЦена
data[].settings.products.columns.quantitybooleanКоличество
data[].settings.products.enabledboolean
data[].is_defaultboolean
data[].created_atstringСоздано
data[].updated_atstringОбновлено
data[].is_deletedboolean
json
{
    "data": [
        {
            "id": 17,
            "creator_id": null,
            "company_id": 1,
            "name": "Стандартный чек",
            "width": 0,
            "settings": {
                "debt": {
                    "added": true,
                    "total": true,
                    "enabled": true,
                    "due_date": true,
                    "previous": true
                },
                "footer": {
                    "qr": false,
                    "banner": {
                        "src": null,
                        "enabled": false
                    },
                    "thanks": {
                        "text": "Спасибо за покупку!",
                        "enabled": true
                    },
                    "barcode": true,
                    "enabled": true,
                    "socials": {
                        "items": [],
                        "enabled": false
                    }
                },
                "header": {
                    "tin": true,
                    "code": true,
                    "date": true,
                    "logo": {
                        "src": null,
                        "enabled": false
                    },
                    "phone": false,
                    "client": false,
                    "seller": false,
                    "address": true,
                    "enabled": true,
                    "contacts": true,
                    "store_name": true
                },
                "totals": {
                    "total": true,
                    "enabled": true,
                    "discount": true,
                    "subtotal": true,
                    "discount_percent": true
                },
                "bonuses": {
                    "accrued": false,
                    "balance": false,
                    "enabled": false
                },
                "payments": {
                    "enabled": true
                },
                "products": {
                    "columns": {
                        "name": true,
                        "brand": false,
                        "price": true,
                        "quantity": true
                    },
                    "enabled": true
                }
            },
            "is_default": true,
            "created_at": "2026-09-30 12:54:49",
            "updated_at": "2026-09-30 12:54:49",
            "is_deleted": false
        }
    ],
    "links": {
        "first": "https://api.wasyt.uz/company/trade/receipt-template?page=1",
        "last": "https://api.wasyt.uz/company/trade/receipt-template?page=1",
        "prev": null,
        "next": null
    },
    "meta": {
        "current_page": 1,
        "from": 1,
        "last_page": 1,
        "links": [],
        "path": "https://api.wasyt.uz/company/trade/receipt-template",
        "per_page": 20,
        "to": 1,
        "total": 1
    }
}

Шаблон чека ​

GET/company/trade/receipt-template/{model}

Один шаблон чека с шириной ленты и настройками блоков.

Заголовки ​

ЗаголовокЗначениеОписание
AuthorizationBearer {token}Токен из POST /common/auth/login
Acceptapplication/jsonОтвет в JSON
Accept-LanguageruЯзык сообщений и названий: ru, uz, oz

Параметры пути ​

ПараметрОписание
modelID записи

Ответ · 200 ​

Поля ответа
ПолеТипОписание
idintegerID
creator_idintegerСоздатель
company_idintegerКомпания
namestringНазвание
widthintegerШирина
settingsobjectНастройки
settings.debtobjectДолг
settings.debt.enabledboolean
settings.footerobject
settings.footer.qrboolean
settings.footer.bannerobject
settings.footer.banner.srcstring
settings.footer.banner.enabledboolean
settings.footer.thanksobject
settings.footer.thanks.textstringТекст
settings.footer.thanks.enabledboolean
settings.footer.barcodebooleanШтрих-код
settings.footer.enabledboolean
settings.footer.socialsobjectСоц-сети
settings.footer.socials.itemsarrayСостав
settings.footer.socials.enabledboolean
settings.headerobject
settings.header.tinboolean
settings.header.codebooleanКод
settings.header.datebooleanДата
settings.header.logoobjectЛоготип
settings.header.logo.srcstring
settings.header.logo.enabledboolean
settings.header.phonebooleanТелефон
settings.header.clientboolean
settings.header.sellerboolean
settings.header.addressbooleanАдрес
settings.header.enabledboolean
settings.header.contactsboolean
settings.header.store_nameboolean
settings.totalsobject
settings.totals.totalbooleanВсего записей
settings.totals.enabledboolean
settings.totals.discountbooleanСкидка
settings.totals.subtotalboolean
settings.totals.discount_percentboolean
settings.bonusesobject
settings.bonuses.accruedboolean
settings.bonuses.balancebooleanБаланс
settings.bonuses.enabledboolean
settings.productsobjectПродукты
settings.products.columnsobject
settings.products.columns.namebooleanНазвание
settings.products.columns.brandbooleanБренд
settings.products.columns.pricebooleanЦена
settings.products.columns.quantitybooleanКоличество
settings.products.enabledboolean
is_defaultboolean
created_atstringСоздано
updated_atstringОбновлено
is_deletedboolean
json
{
    "id": 1,
    "creator_id": 2,
    "company_id": 1,
    "name": "Receipt template 1",
    "width": 80,
    "settings": {
        "debt": {
            "enabled": true
        },
        "footer": {
            "qr": true,
            "banner": {
                "src": "https://api-minio.icangroup.uz/wasyt/uploads/banner.png",
                "enabled": true
            },
            "thanks": {
                "text": "Спасибо за покупку!",
                "enabled": true
            },
            "barcode": true,
            "enabled": true,
            "socials": {
                "items": [
                    "@wasyt_market",
                    "instagram.com/wasyt_market"
                ],
                "enabled": true
            }
        },
        "header": {
            "tin": true,
            "code": true,
            "date": true,
            "logo": {
                "src": "https://api-minio.icangroup.uz/wasyt/uploads/logo.png",
                "enabled": true
            },
            "phone": true,
            "client": true,
            "seller": true,
            "address": true,
            "enabled": true,
            "contacts": true,
            "store_name": true
        },
        "totals": {
            "total": true,
            "enabled": true,
            "discount": true,
            "subtotal": true,
            "discount_percent": true
        },
        "bonuses": {
            "accrued": true,
            "balance": true,
            "enabled": true
        },
        "products": {
            "columns": {
                "name": true,
                "brand": true,
                "price": true,
                "quantity": true
            },
            "enabled": true
        }
    },
    "is_default": false,
    "created_at": "2026-09-30 12:47:59",
    "updated_at": "2026-09-30 12:47:59",
    "is_deleted": false
}

Создать шаблон чека ​

POST/company/trade/receipt-template

Создаёт шаблон с уникальным в компании названием. width — ширина ленты в мм (56, 58, 76, 80) или 0 — во всю ширину. В settings сохраняются только известные ключи блоков; все блоки необязательны.

Заголовки ​

ЗаголовокЗначениеОписание
AuthorizationBearer {token}Токен из POST /common/auth/login
Acceptapplication/jsonОтвет в JSON
Accept-LanguageruЯзык сообщений и названий: ru, uz, oz

Тело запроса ​

ПолеТипОбязательноОписание
namestringДаНазвание. Макс. 255 символов. Уникальное значение в компании
widthintegerДаШирина. Допустимые значения: 0, 56, 58, 76, 80
settingsarrayДаНастройки
settings.headerarrayНет
settings.header.enabledbooleanНетПечатать шапку чека
settings.header.logoarrayНетЛоготип
settings.header.logo.enabledbooleanНетПечатать логотип
settings.header.logo.srcstringНетМакс. 2048 символов. Шаблон /^[^"'<>\s]*$/
settings.header.store_namebooleanНетНазвание магазина
settings.header.addressbooleanНетАдрес
settings.header.phonebooleanНетТелефон
settings.header.codebooleanНетКод
settings.header.datebooleanНетДата
settings.header.sellerbooleanНетПродавец (кассир)
settings.header.clientbooleanНетКлиент
settings.header.tinbooleanНетИНН
settings.header.contactsbooleanНетТелефоны покупателя
settings.productsarrayНетПродукты
settings.products.enabledbooleanНетПечатать список товаров
settings.products.columnsarrayНет
settings.products.columns.namebooleanНетНазвание
settings.products.columns.brandbooleanНетБренд
settings.products.columns.quantitybooleanНетКоличество
settings.products.columns.pricebooleanНетЦена
settings.totalsarrayНет
settings.totals.enabledbooleanНетПечатать блок итогов
settings.totals.subtotalbooleanНетСумма до скидки
settings.totals.discountbooleanНетСкидка
settings.totals.discount_percentbooleanНетСкидка в процентах от суммы
settings.totals.totalbooleanНетИтого к оплате
settings.bonusesarrayНет
settings.bonuses.enabledbooleanНетПечатать блок бонусов клиента
settings.bonuses.accruedbooleanНетБонусы, начисленные за покупку
settings.bonuses.balancebooleanНетБаланс
settings.paymentsarrayНет
settings.payments.enabledbooleanНетПечатать оплаты по типам (только если часть взята в долг)
settings.debtarrayНетДолг
settings.debt.enabledbooleanНетПечатать блок долга клиента
settings.debt.previousbooleanНетДолг до покупки
settings.debt.addedbooleanНетДолг, добавленный этой покупкой
settings.debt.totalbooleanНетИтоговый долг
settings.debt.due_datebooleanНетСрок погашения
settings.footerarrayНет
settings.footer.enabledbooleanНетПечатать подвал чека
settings.footer.bannerarrayНет
settings.footer.banner.enabledbooleanНетПечатать баннер
settings.footer.banner.srcstringНетМакс. 2048 символов. Шаблон /^[^"'<>\s]*$/
settings.footer.barcodebooleanНетШтрих-код
settings.footer.qrbooleanНетQR-код продажи
settings.footer.thanksarrayНет
settings.footer.thanks.enabledbooleanНетПечатать текст благодарности
settings.footer.thanks.textstringНетТекст. Макс. 500 символов
settings.footer.socialsarrayНетСоц-сети
settings.footer.socials.enabledbooleanНетПечатать ссылки на соцсети
settings.footer.socials.itemsarrayНетСостав. Макс. 10 элементов
settings.footer.socials.items[]stringДаСостав. Макс. 255 символов
json
{
    "name": "Full receipt 80mm",
    "width": 80,
    "settings": {
        "header": {
            "enabled": 1,
            "logo": {
                "enabled": 1,
                "src": "/uploads/logo.png"
            },
            "store_name": 1,
            "address": 1,
            "phone": "1",
            "code": "1",
            "date": 1,
            "seller": 1,
            "client": 1,
            "tin": 1,
            "contacts": 1
        },
        "products": {
            "enabled": 1,
            "columns": {
                "name": 1,
                "brand": null,
                "quantity": 1,
                "price": 1
            }
        },
        "totals": {
            "enabled": 1,
            "subtotal": 1,
            "discount": 1,
            "discount_percent": 1,
            "total": 1
        },
        "bonuses": {
            "enabled": 1,
            "accrued": 1,
            "balance": 1
        },
        "payments": {
            "enabled": 1
        },
        "debt": {
            "enabled": 1,
            "previous": 1,
            "added": 1,
            "total": 1,
            "due_date": null
        },
        "footer": {
            "enabled": 1,
            "banner": {
                "enabled": null,
                "src": null
            },
            "barcode": "1",
            "qr": null,
            "thanks": {
                "enabled": 1,
                "text": "Спасибо за покупку!"
            },
            "socials": {
                "enabled": 1,
                "items": [
                    "@wasyt_market",
                    "instagram.com/wasyt_market"
                ]
            }
        }
    }
}
bash
curl -X POST "https://api.wasyt.uz/company/trade/receipt-template" \
  -H "Accept: application/json" \
  -H "Accept-Language: ru" \
  -H "Authorization: Bearer {token}" \
  -H "Content-Type: application/json" \
  -d '{"name":"Full receipt 80mm","width":80,"settings":{"header":{"enabled":1,"logo":{"enabled":1,"src":"/uploads/logo.png"},"store_name":1,"address":1,"phone":"1","code":"1","date":1,"seller":1,"client":1,"tin":1,"contacts":1},"products":{"enabled":1,"columns":{"name":1,"brand":null,"quantity":1,"price":1}},"totals":{"enabled":1,"subtotal":1,"discount":1,"discount_percent":1,"total":1},"bonuses":{"enabled":1,"accrued":1,"balance":1},"payments":{"enabled":1},"debt":{"enabled":1,"previous":1,"added":1,"total":1,"due_date":null},"footer":{"enabled":1,"banner":{"enabled":null,"src":null},"barcode":"1","qr":null,"thanks":{"enabled":1,"text":"Спасибо за покупку!"},"socials":{"enabled":1,"items":["@wasyt_market","instagram.com/wasyt_market"]}}}}'

Ответ · 200 ​

Поля ответа
ПолеТипОписание
is_defaultboolean
namestringНазвание
widthintegerШирина
settingsobjectНастройки
settings.headerobject
settings.header.enabledboolean
settings.header.logoobjectЛоготип
settings.header.logo.enabledboolean
settings.header.logo.srcstring
settings.header.store_nameboolean
settings.header.addressbooleanАдрес
settings.header.phonebooleanТелефон
settings.header.codebooleanКод
settings.header.datebooleanДата
settings.header.sellerboolean
settings.header.clientboolean
settings.header.tinboolean
settings.header.contactsboolean
settings.productsobjectПродукты
settings.products.enabledboolean
settings.products.columnsobject
settings.products.columns.namebooleanНазвание
settings.products.columns.brandbooleanБренд
settings.products.columns.quantitybooleanКоличество
settings.products.columns.pricebooleanЦена
settings.totalsobject
settings.totals.enabledboolean
settings.totals.subtotalboolean
settings.totals.discountbooleanСкидка
settings.totals.discount_percentboolean
settings.totals.totalbooleanВсего записей
settings.bonusesobject
settings.bonuses.enabledboolean
settings.bonuses.accruedboolean
settings.bonuses.balancebooleanБаланс
settings.paymentsobject
settings.payments.enabledboolean
settings.debtobjectДолг
settings.debt.enabledboolean
settings.debt.previousboolean
settings.debt.addedboolean
settings.debt.totalbooleanВсего записей
settings.debt.due_datebooleanСрок погашения
settings.footerobject
settings.footer.enabledboolean
settings.footer.bannerobject
settings.footer.banner.enabledboolean
settings.footer.banner.srcnull
settings.footer.barcodebooleanШтрих-код
settings.footer.qrboolean
settings.footer.thanksobject
settings.footer.thanks.enabledboolean
settings.footer.thanks.textstringТекст
settings.footer.socialsobjectСоц-сети
settings.footer.socials.enabledboolean
settings.footer.socials.itemsarrayСостав
updated_atstringОбновлено
created_atstringСоздано
creator_idintegerСоздатель
company_idintegerКомпания
idintegerID
is_deletedboolean
json
{
    "is_default": false,
    "name": "Full receipt 80mm",
    "width": 80,
    "settings": {
        "header": {
            "enabled": true,
            "logo": {
                "enabled": true,
                "src": "https://api-minio.icangroup.uz/wasyt/uploads/logo.png"
            },
            "store_name": true,
            "address": true,
            "phone": true,
            "code": true,
            "date": true,
            "seller": true,
            "client": true,
            "tin": true,
            "contacts": true
        },
        "products": {
            "enabled": true,
            "columns": {
                "name": true,
                "brand": false,
                "quantity": true,
                "price": true
            }
        },
        "totals": {
            "enabled": true,
            "subtotal": true,
            "discount": true,
            "discount_percent": true,
            "total": true
        },
        "bonuses": {
            "enabled": true,
            "accrued": true,
            "balance": true
        },
        "payments": {
            "enabled": true
        },
        "debt": {
            "enabled": true,
            "previous": true,
            "added": true,
            "total": true,
            "due_date": false
        },
        "footer": {
            "enabled": true,
            "banner": {
                "enabled": false,
                "src": null
            },
            "barcode": true,
            "qr": false,
            "thanks": {
                "enabled": true,
                "text": "Спасибо за покупку!"
            },
            "socials": {
                "enabled": true,
                "items": [
                    "@wasyt_market",
                    "instagram.com/wasyt_market"
                ]
            }
        }
    },
    "updated_at": "2026-09-30 12:54:47",
    "created_at": "2026-09-30 12:54:47",
    "creator_id": 2,
    "company_id": 1,
    "id": 10,
    "is_deleted": false
}

Изменить шаблон чека ​

PUT/company/trade/receipt-template/{model}

Перезаписывает название, ширину и настройки шаблона по тем же правилам, что при создании. Системный шаблон тоже можно редактировать.

Из формы (multipart/form-data) метод PUT отправляется как POST с параметром ?_method=PUT.

Заголовки ​

ЗаголовокЗначениеОписание
AuthorizationBearer {token}Токен из POST /common/auth/login
Acceptapplication/jsonОтвет в JSON
Accept-LanguageruЯзык сообщений и названий: ru, uz, oz

Параметры пути ​

ПараметрОписание
modelID записи

Тело запроса ​

ПолеТипОбязательноОписание
namestringДаНазвание. Макс. 255 символов. Уникальное значение в компании
widthintegerДаШирина. Допустимые значения: 0, 56, 58, 76, 80
settingsarrayДаНастройки
settings.headerarrayНет
settings.header.enabledbooleanНетПечатать шапку чека
settings.header.logoarrayНетЛоготип
settings.header.logo.enabledbooleanНетПечатать логотип
settings.header.logo.srcstringНетМакс. 2048 символов. Шаблон /^[^"'<>\s]*$/
settings.header.store_namebooleanНетНазвание магазина
settings.header.addressbooleanНетАдрес
settings.header.phonebooleanНетТелефон
settings.header.codebooleanНетКод
settings.header.datebooleanНетДата
settings.header.sellerbooleanНетПродавец (кассир)
settings.header.clientbooleanНетКлиент
settings.header.tinbooleanНетИНН
settings.header.contactsbooleanНетТелефоны покупателя
settings.productsarrayНетПродукты
settings.products.enabledbooleanНетПечатать список товаров
settings.products.columnsarrayНет
settings.products.columns.namebooleanНетНазвание
settings.products.columns.brandbooleanНетБренд
settings.products.columns.quantitybooleanНетКоличество
settings.products.columns.pricebooleanНетЦена
settings.totalsarrayНет
settings.totals.enabledbooleanНетПечатать блок итогов
settings.totals.subtotalbooleanНетСумма до скидки
settings.totals.discountbooleanНетСкидка
settings.totals.discount_percentbooleanНетСкидка в процентах от суммы
settings.totals.totalbooleanНетИтого к оплате
settings.bonusesarrayНет
settings.bonuses.enabledbooleanНетПечатать блок бонусов клиента
settings.bonuses.accruedbooleanНетБонусы, начисленные за покупку
settings.bonuses.balancebooleanНетБаланс
settings.paymentsarrayНет
settings.payments.enabledbooleanНетПечатать оплаты по типам (только если часть взята в долг)
settings.debtarrayНетДолг
settings.debt.enabledbooleanНетПечатать блок долга клиента
settings.debt.previousbooleanНетДолг до покупки
settings.debt.addedbooleanНетДолг, добавленный этой покупкой
settings.debt.totalbooleanНетИтоговый долг
settings.debt.due_datebooleanНетСрок погашения
settings.footerarrayНет
settings.footer.enabledbooleanНетПечатать подвал чека
settings.footer.bannerarrayНет
settings.footer.banner.enabledbooleanНетПечатать баннер
settings.footer.banner.srcstringНетМакс. 2048 символов. Шаблон /^[^"'<>\s]*$/
settings.footer.barcodebooleanНетШтрих-код
settings.footer.qrbooleanНетQR-код продажи
settings.footer.thanksarrayНет
settings.footer.thanks.enabledbooleanНетПечатать текст благодарности
settings.footer.thanks.textstringНетТекст. Макс. 500 символов
settings.footer.socialsarrayНетСоц-сети
settings.footer.socials.enabledbooleanНетПечатать ссылки на соцсети
settings.footer.socials.itemsarrayНетСостав. Макс. 10 элементов
settings.footer.socials.items[]stringДаСостав. Макс. 255 символов
json
{
    "name": "Receipt template 1",
    "width": 76,
    "settings": {
        "header": {
            "enabled": 1,
            "store_name": 1,
            "code": "1"
        },
        "products": {
            "enabled": 1,
            "columns": {
                "name": 1,
                "quantity": 1,
                "price": 1
            }
        },
        "footer": {
            "enabled": 1,
            "thanks": {
                "enabled": 1,
                "text": "Возвращайтесь к нам снова!"
            }
        }
    }
}
bash
curl -X PUT "https://api.wasyt.uz/company/trade/receipt-template/1" \
  -H "Accept: application/json" \
  -H "Accept-Language: ru" \
  -H "Authorization: Bearer {token}" \
  -H "Content-Type: application/json" \
  -d '{"name":"Receipt template 1","width":76,"settings":{"header":{"enabled":1,"store_name":1,"code":"1"},"products":{"enabled":1,"columns":{"name":1,"quantity":1,"price":1}},"footer":{"enabled":1,"thanks":{"enabled":1,"text":"Возвращайтесь к нам снова!"}}}}'

Ответ · 200 ​

Поля ответа
ПолеТипОписание
idintegerID
creator_idintegerСоздатель
company_idintegerКомпания
namestringНазвание
widthintegerШирина
settingsobjectНастройки
settings.headerobject
settings.header.enabledboolean
settings.header.store_nameboolean
settings.header.codebooleanКод
settings.productsobjectПродукты
settings.products.enabledboolean
settings.products.columnsobject
settings.products.columns.namebooleanНазвание
settings.products.columns.quantitybooleanКоличество
settings.products.columns.pricebooleanЦена
settings.footerobject
settings.footer.enabledboolean
settings.footer.thanksobject
settings.footer.thanks.enabledboolean
settings.footer.thanks.textstringТекст
is_defaultboolean
created_atstringСоздано
updated_atstringОбновлено
is_deletedboolean
json
{
    "id": 1,
    "creator_id": 2,
    "company_id": 1,
    "name": "Receipt template 1",
    "width": 76,
    "settings": {
        "header": {
            "enabled": true,
            "store_name": true,
            "code": true
        },
        "products": {
            "enabled": true,
            "columns": {
                "name": true,
                "quantity": true,
                "price": true
            }
        },
        "footer": {
            "enabled": true,
            "thanks": {
                "enabled": true,
                "text": "Возвращайтесь к нам снова!"
            }
        }
    },
    "is_default": false,
    "created_at": "2026-09-30 12:47:59",
    "updated_at": "2026-09-30 12:54:52",
    "is_deleted": false
}

Удалить шаблон чека ​

DELETE/company/trade/receipt-template/{model}

Мягко удаляет шаблон. Системный шаблон (is_default) удалить нельзя — ошибка 400.

Из формы (multipart/form-data) метод DELETE отправляется как POST с параметром ?_method=DELETE.

Заголовки ​

ЗаголовокЗначениеОписание
AuthorizationBearer {token}Токен из POST /common/auth/login
Acceptapplication/jsonОтвет в JSON
Accept-LanguageruЯзык сообщений и названий: ru, uz, oz

Параметры пути ​

ПараметрОписание
modelID записи

Ответ · 200 ​

Поля ответа
ПолеТипОписание
messagestringСообщение
json
{
    "message": "Success"
}

Восстановить шаблон чека ​

DELETE/company/trade/receipt-template/{value}/restore

Восстанавливает удалённый шаблон чека по его ID.

Из формы (multipart/form-data) метод DELETE отправляется как POST с параметром ?_method=DELETE.

Заголовки ​

ЗаголовокЗначениеОписание
AuthorizationBearer {token}Токен из POST /common/auth/login
Acceptapplication/jsonОтвет в JSON
Accept-LanguageruЯзык сообщений и названий: ru, uz, oz

Параметры пути ​

ПараметрОписание
valueID записи (в том числе удалённой)

Ответ · 200 ​

Поля ответа
ПолеТипОписание
messagestringСообщение
json
{
    "message": "Success"
}